POST openApi/followUpActivities/student/{userIdentifier}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "ceb366eb-6ab6-4c7c-a50e-6a64e07dedae",
"StudentId": "81ddc5ac-78a8-4851-a4ff-5292ace2276d",
"ReporterId": "789e8ae2-4823-4ef6-b011-fdf78790ca92",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-08-09T01:33:55.4677874+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "f92b29bb-8c3e-4b13-b4e5-9613ad779b1e",
"Name": "sample string 2"
}
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.